Форум XBMC и Kodi. Помощь, поддержка, обсуждение, плагины.
   

Вернуться   Форум XBMC и Kodi. Помощь, поддержка, обсуждение, плагины. > Помощь и поддержка > Помощь по плагинам

Ответ
 
Опции темы Опции просмотра
Старый 26.08.2019, 11:42   #51
cpsskipper
Senior Member
 
Аватар для cpsskipper
 
Регистрация: 29.07.2013
Сообщений: 100
По умолчанию

Супер! Заработало!
Спасибо
cpsskipper вне форума   Ответить с цитированием
   
Старый 17.01.2020, 18:47   #52
klimrmad
Junior Member
 
Регистрация: 17.01.2020
Сообщений: 1
По умолчанию

А куда пропал репозиторий аддона? На гитхабе ошибка 404.
klimrmad вне форума   Ответить с цитированием
Старый 17.01.2020, 20:02   #53
vl.maksime
Senior Member
 
Аватар для vl.maksime
 
Регистрация: 18.10.2015
Адрес: Donetsk, Ukraine
Сообщений: 812
По умолчанию

Исходный код удалён из открытого доступа по просьбе ресурса.
Дополнение разрешили оставить. Но, из-за отсутствия рекламы, попросили ограничить ограничить доступ пользователям без прописки.
__________________
Репозиторий: https://vlmaksime.github.io/repository.vlmaksime/
Поблагодарить: https://vlmaksime.github.io/donate
Опрос по используемым версиям KODI: http://xbmc.ru/forum/showthread.php?t=15419
vl.maksime вне форума   Ответить с цитированием
Старый 09.03.2020, 23:03   #54
Alexey S
Junior Member
 
Регистрация: 12.11.2013
Сообщений: 4
По умолчанию

Цитата:
Сообщение от vl.maksime Посмотреть сообщение
Исходный код удалён из открытого доступа по просьбе ресурса.
Это плохо, часто хочется поправить под себя. Вот и переход на python3 сломал плагин, к счастью исходники всё ещё вполне доступны.
Alexey S вне форума   Ответить с цитированием
Старый 10.03.2020, 00:01   #55
vl.maksime
Senior Member
 
Аватар для vl.maksime
 
Регистрация: 18.10.2015
Адрес: Donetsk, Ukraine
Сообщений: 812
По умолчанию

Поддержку blowfish для 3го питона я добавил, но обновление не выпускал. Начал переписывать дополнение с нуля, чтоб реализовать синхронизацию просмотра между Kodi и ivi, но сейчас со временем напряг. Если поддержка 3го питона критична, могу выкатить хотфикс.
__________________
Репозиторий: https://vlmaksime.github.io/repository.vlmaksime/
Поблагодарить: https://vlmaksime.github.io/donate
Опрос по используемым версиям KODI: http://xbmc.ru/forum/showthread.php?t=15419
vl.maksime вне форума   Ответить с цитированием
Старый 10.03.2020, 00:09   #56
wsnake
Member
 
Регистрация: 06.02.2011
Адрес: Одесса
Сообщений: 91
По умолчанию

Цитата:
Сообщение от vl.maksime Посмотреть сообщение
Поддержку blowfish для 3го питона я добавил, но обновление не выпускал. Начал переписывать дополнение с нуля, чтоб реализовать синхронизацию просмотра между Kodi и ivi, но сейчас со временем напряг. Если поддержка 3го питона критична, могу выкатить хотфикс.
В KODI 19* уже python3, и все ваши дополнения перестали работать - по возможности поправьте пожалуйста.
__________________
MB Gigabyte H87N-WIFI, CPU INTEL Core i3 4130T, RAM 4Gb, SAT DVBSKY S952 DVB-S2 PCIe, RC Miii M9
wsnake вне форума   Ответить с цитированием
Старый 10.03.2020, 09:33   #57
vl.maksime
Senior Member
 
Аватар для vl.maksime
 
Регистрация: 18.10.2015
Адрес: Donetsk, Ukraine
Сообщений: 812
По умолчанию

Цитата:
Сообщение от wsnake Посмотреть сообщение
В KODI 19* уже python3, и все ваши дополнения перестали работать - по возможности поправьте пожалуйста.
Про это я в курсе, но 19 версия вроде еще на стадии альфа-тестировании. Из-за этого и не тороплюсь.
Сейчас точно не скажу, но вроде как с python 3 у меня не совместимы только "United Search", "ZONA.plus", "Россия 1".
Попробуйте дополнение из вложения, оно должно работать на 19й версии Kodi
Вложения
Тип файла: zip plugin.video.ivi.client-1.1.4~beta1.zip (59.8 Кб, 29 просмотров)
__________________
Репозиторий: https://vlmaksime.github.io/repository.vlmaksime/
Поблагодарить: https://vlmaksime.github.io/donate
Опрос по используемым версиям KODI: http://xbmc.ru/forum/showthread.php?t=15419
vl.maksime вне форума   Ответить с цитированием
Старый 10.03.2020, 14:24   #58
Alexey S
Junior Member
 
Регистрация: 12.11.2013
Сообщений: 4
По умолчанию

Цитата:
Сообщение от vl.maksime Посмотреть сообщение
Попробуйте дополнение из вложения, оно должно работать на 19й версии Kodi
На альфе Libreelec работать не будет, потому как там маниакально требуют:
Код:
<import addon="xbmc.python" version="3.0.0"/>
Alexey S вне форума   Ответить с цитированием
Старый 10.03.2020, 14:35   #59
vl.maksime
Senior Member
 
Аватар для vl.maksime
 
Регистрация: 18.10.2015
Адрес: Donetsk, Ukraine
Сообщений: 812
По умолчанию

Цитата:
Сообщение от Alexey S Посмотреть сообщение
На альфе Libreelec работать не будет, потому как там маниакально требуют:
Код:
<import addon="xbmc.python" version="3.0.0"/>
О, да.. этот прикол появился в новых билдах 19 версии. Как-то его не учел.
Я тестирую дополнения на старой версии, которая позволяла запускать дополнения с более низкой версией API.
Надо подождать, чем это все решиться. Как-то не охота поддерживать два разных репозитория для версий 14-18 и 19+.
Пока Вы можете вручную поправить версию API в дополнении. Дополнение ivi выложил Выше, остальные зависимости можно взять ТУТ
__________________
Репозиторий: https://vlmaksime.github.io/repository.vlmaksime/
Поблагодарить: https://vlmaksime.github.io/donate
Опрос по используемым версиям KODI: http://xbmc.ru/forum/showthread.php?t=15419
vl.maksime вне форума   Ответить с цитированием
Старый 10.03.2020, 22:10   #60
wsnake
Member
 
Регистрация: 06.02.2011
Адрес: Одесса
Сообщений: 91
По умолчанию

Цитата:
Сообщение от vl.maksime Посмотреть сообщение
О, да.. этот прикол появился в новых билдах 19 версии. Как-то его не учел.
Я тестирую дополнения на старой версии, которая позволяла запускать дополнения с более низкой версией API.
Надо подождать, чем это все решиться. Как-то не охота поддерживать два разных репозитория для версий 14-18 и 19+.
Пока Вы можете вручную поправить версию API в дополнении. Дополнение ivi выложил Выше, остальные зависимости можно взять ТУТ
А чего ждать? вроде как разрабы написали что окончательно перешли на питон3. Подскажите где точно что исправить ? если в строчке выше, то это я исправил - всеравно при установке плагина просит питон2.* (может это зависимости просят?)
P.S. Уважаемый vl.maksime, видимо без вашего вмешательства - никак
__________________
MB Gigabyte H87N-WIFI, CPU INTEL Core i3 4130T, RAM 4Gb, SAT DVBSKY S952 DVB-S2 PCIe, RC Miii M9

Последний раз редактировалось wsnake; 10.03.2020 в 22:47.
wsnake вне форума   Ответить с цитированием
Ответ
 


Здесь присутствуют: 1 (пользователей: 0 , гостей: 1)
 
Опции темы
Опции просмотра

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Video.AZ (plugin.video.video.az) vl.maksime Помощь по плагинам 17 20.07.2017 23:02
plugin.video.cxz.to OLE22 Помощь по плагинам 1 22.07.2015 10:11
Error getting plugin://plugin.video.*/ sselesnes Поддержка платформы Windows 4 10.04.2013 23:48
plugin.video.tv-here.ru seppius Помощь по плагинам 15 20.03.2011 13:48
plugin.video.tv3.lt seppius Помощь по плагинам 0 19.09.2010 14:32


Текущее время: 08:26. Часовой пояс GMT +3.


Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.